Package org.kapott.hbci.GV_Result

## Class GVRWPDepotUms.Entry.FinancialInstrument.Transaction

- java.lang.Object
- - org.kapott.hbci.GV_Result.GVRWPDepotUms.Entry.FinancialInstrument.Transaction

Enclosing class:
  GVRWPDepotUms.Entry.FinancialInstrument

    public static class GVRWPDepotUms.Entry.FinancialInstrument.Transaction
    extends java.lang.Object

### Field Summary

Fields
`TypedValue` `anzahl` Anzahl/Betrag der Papiere im Umsatz
`BigDecimalValue` `betrag` Betrag des Umsatzes
`int` `bezahlung` Gegen Bezahlung oder frei? (siehe Konstanten BEZAHLUNG*)
`static int` `BEZAHLUNG_FREI` The transaction is free of payment.
`static int` `BEZAHLUNG_GEGEN_ZAHLUNG` The transaction is versus payment.
`boolean` `ccp_eligibility` The transaction was initiated by CCP.A.
`java.util.Date` `datum` Effektives Datum der Transaktion
`java.util.Date` `datum_valuta` Valutadatum der Transaktion
`java.lang.String` `freitext_details` Freitext mit Transaktionsdetails
`java.lang.String` `gegenpartei` Gegenpartei der Transaktion
`static int` `INDICATOR_CORPORATE_ACTION` The transaction relates to corporate action.
`static int` `INDICATOR_KAPITALMASSNAHME` Deprecated.
`static int` `INDICATOR_LEIHE` Transaktion im Zusammenhang mit Leihe
`static int` `INDICATOR_SETTLEMENT_CLEARING` The transaction relates to settlement and clearing
`static int` `INDICATOR_SICHERHEITEN` Transaktion im Zusammenhang mit Sicherheiten
`java.lang.String` `kundenreferenz` Kundenreferenznummer
`int` `richtung` Lieferung oder Erhalt? (siehe Konstanten RICHTUNG*)
`static int` `RICHTUNG_ERHALT` The transaction is a receipt.
`static int` `RICHTUNG_LIEFERUNG` The transaction is a delivery.
`boolean` `storno` Transaktion ist ein Storno einer anderen Transaktion
`int` `stueckzins_tage` Anzahl der aufgelaufenen Tage für Stückzinsen
`BigDecimalValue` `stueckzinsen` Betrag der Stueckzinsen
`int` `transaction_indicator` Art der Transaktion (siehe Konstanten INDICATOR*)

### Constructor Summary

Constructors
`Transaction()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### INDICATOR_SETTLEMENT_CLEARING

    public static final int INDICATOR_SETTLEMENT_CLEARING

The transaction relates to settlement and clearing

See Also:
  Constant Field Values

#### INDICATOR_CORPORATE_ACTION

    public static final int INDICATOR_CORPORATE_ACTION

The transaction relates to corporate action.

See Also:
  Constant Field Values

#### INDICATOR_KAPITALMASSNAHME

    @Deprecated
    public static final int INDICATOR_KAPITALMASSNAHME

Deprecated.

See Also:
  Constant Field Values

#### INDICATOR_LEIHE

    public static final int INDICATOR_LEIHE

Transaktion im Zusammenhang mit Leihe

See Also:
  Constant Field Values

#### INDICATOR_SICHERHEITEN

    public static final int INDICATOR_SICHERHEITEN

Transaktion im Zusammenhang mit Sicherheiten

See Also:
  Constant Field Values

#### RICHTUNG_LIEFERUNG

    public static final int RICHTUNG_LIEFERUNG

The transaction is a delivery.

See Also:
  Constant Field Values

#### RICHTUNG_ERHALT

    public static final int RICHTUNG_ERHALT

The transaction is a receipt.

See Also:
  Constant Field Values

#### BEZAHLUNG_GEGEN_ZAHLUNG

    public static final int BEZAHLUNG_GEGEN_ZAHLUNG

The transaction is versus payment.

See Also:
  Constant Field Values

#### BEZAHLUNG_FREI

    public static final int BEZAHLUNG_FREI

The transaction is free of payment.

See Also:
  Constant Field Values

#### kundenreferenz

    public java.lang.String kundenreferenz

Kundenreferenznummer

#### anzahl

    public TypedValue anzahl

Anzahl/Betrag der Papiere im Umsatz

#### betrag

    public BigDecimalValue betrag

Betrag des Umsatzes

#### stueckzinsen

    public BigDecimalValue stueckzinsen

Betrag der Stueckzinsen

#### stueckzins_tage

    public int stueckzins_tage

Anzahl der aufgelaufenen Tage für Stückzinsen

#### transaction_indicator

    public int transaction_indicator

Art der Transaktion (siehe Konstanten INDICATOR*)

#### richtung

    public int richtung

Lieferung oder Erhalt? (siehe Konstanten RICHTUNG*)

#### bezahlung

    public int bezahlung

Gegen Bezahlung oder frei? (siehe Konstanten BEZAHLUNG*)

#### ccp_eligibility

    public boolean ccp_eligibility

The transaction was initiated by CCP.A.

#### datum

    public java.util.Date datum

Effektives Datum der Transaktion

#### datum_valuta

    public java.util.Date datum_valuta

Valutadatum der Transaktion

#### storno

    public boolean storno

Transaktion ist ein Storno einer anderen Transaktion

#### gegenpartei

    public java.lang.String gegenpartei

Gegenpartei der Transaktion

#### freitext_details

    public java.lang.String freitext_details

Freitext mit Transaktionsdetails

### Constructor Detail

#### Transaction

    public Transaction()

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`